#ifdef __WIN32__
#include <windows.h>
#endif

#include "PowerPak/powerpak.h"
#include "PowerPak/powerdraw.h"

main(int argc, char *argv[])
{
   /* Initialize the library */
   PP_Init();
   PD_Init();

   /* Initialize 640x480x16bpp graphics mode */
   PD_SetGFXMode(640, 480, 16, PD_DEFAULT);

   /* Draw a little cylindrical thingie */
   PD_Ellipse(DoubleBuffer, 320, 100, 100, 50, PD_CreateColor(DoubleBuffer, 0xFF, 0x00, 0x00));
   PD_Ellipse(DoubleBuffer, 320, 220, 100, 50, PD_CreateColor(DoubleBuffer, 0xFF, 0x00, 0x00));
   PD_Ellipse(DoubleBuffer, 320, 220, 50, 25, PD_CreateColor(DoubleBuffer, 0xFF, 0x00, 0x00));
   PD_Ellipse(DoubleBuffer, 320, 380, 50, 25, PD_CreateColor(DoubleBuffer, 0xFF, 0x00, 0x00));
   PD_VLine(DoubleBuffer, 100, 220, 220, PD_CreateColor(DoubleBuffer, 0xFF, 0x00, 0x00));
   PD_VLine(DoubleBuffer, 100, 220, 420, PD_CreateColor(DoubleBuffer, 0xFF, 0x00, 0x00));
   PD_VLine(DoubleBuffer, 220, 380, 270, PD_CreateColor(DoubleBuffer, 0xFF, 0x00, 0x00));
   PD_VLine(DoubleBuffer, 220, 380, 370, PD_CreateColor(DoubleBuffer, 0xFF, 0x00, 0x00));

   PD_ShowDoubleBuffer();

   /* Wait for 5 seconds so you can see it */
   PP_Wait(5000);

   /* Cleanup */
   PD_Quit();
   PP_Quit();
}
